## org.eclipse.datatools.connectivity
Class ConnectEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.datatools.connectivity.ConnectEvent

All Implemented Interfaces:
  java.io.Serializable

public class ConnectEvent
extends java.util.EventObject

Author:
  rcernich Created on May 24, 2005
See Also:
  Serialized Form

Constructor Summary
`ConnectEvent(IConnectionProfile profile)`
`ConnectEvent(IConnectionProfile profile, IManagedConnection connection)`
`ConnectEvent(IConnectionProfile profile, IManagedConnection connection, java.lang.Object context)`

Method Summary
`IManagedConnection` `getConnection()`
`IConnectionProfile` `getConnectionProfile()`
`java.lang.Object` `getContext()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectEvent

    public ConnectEvent(IConnectionProfile profile)

### ConnectEvent

    public ConnectEvent(IConnectionProfile profile,
                        IManagedConnection connection)

### ConnectEvent

    public ConnectEvent(IConnectionProfile profile,
                        IManagedConnection connection,
                        java.lang.Object context)

Method Detail

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

  Returns:
    the connection profile associated with this event

### getConnection

    public IManagedConnection getConnection()

  Returns:
    the managed connection associated with this event

### getContext

    public java.lang.Object getContext()

  Returns:
    the connection specific context associated with this event

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.